Redmine - Feature #38416

Ability to disable the priority field
2023-04-06 10:40 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 5.1.0

Resolution: Fixed

Description

Redmine can disable core fields such as subject, description, and assignee per tracker (#1091). However, the priority field cannot be
disabled currently. The attached patch adds the ability to the priority field as well.

| have been asked many times how to disable the priority field. Since Redmine's flexible issue tracking features can be used for a
wide range of purposes, there are use cases that don't need the priority field. The ability to disable the priority field will make
Redmine easier to use in such use cases.

After applying the patch, You will be able to disable priority as well as other fields in the tracker's edit page. When the priority field is
disabled, the default status is set for the newly created issue.

clipboard-202304071523-ze6i8.png

Related issues:

Related to Redmine - Feature #12745: Disable the default "Description/Status/... Closed
Related to Redmine - Feature #35796: Allow subject and priority issue attribu... New
Related to Redmine - Defect #40860: Creating a new issue fails with an intern... Closed

Associated revisions

Revision 22185 - 2023-04-14 03:05 - Go MAEDA
Ability to disable the priority field (#38416).

Patch by Go MAEDA.

Revision 22186 - 2023-04-14 09:48 - Go MAEDA
FIX: The position of existing elements in the array CORE_FIELDS must not be changed (#38416).

History

#1 - 2023-04-07 08:24 - Go MAEDA
- File clipboard-202304071523-ze6i8.png added
- Description updated

#2 - 2023-04-12 05:57 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2023-04-12 16:58 - Go MAEDA

- Target version changed from Candidate for next major release to 5.1.0

Setting the target version to 5.1.0.

#4 - 2023-04-14 02:14 - Go MAEDA
- Related to Feature #12745: Disable the default "Description/Status/Priority" field added

#5 - 2023-04-14 03:05 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA
https://www.redmine.org/issues/1091

- Resolution set to Fixed

Committed the patch in r22185.

#6 - 2023-04-14 09:37 - Go MAEDA

- Status changed from Closed to Reopened

'priority_id' must not be added to the beginning of CORE_FIELDS, because the array subscripts correspond to the bits in Tracker#fields_bits.

diff --git a/app/models/tracker.rb b/app/models/tracker.rb
index ce476092d..bfec75e70 100644
-—— a/app/models/tracker.rb
+++ b/app/models/tracker.rb
@@ -24,8 +24,8 Q@ class Tracker < ActiveRecord: :Base
# Fields that can be disabled
# Other (future) fields should be appended, not inserted!
CORE_FIELDS =
= %w (priority_id assigned_to_id category_id fixed_version_id parent_issue_id
N start_date due_date estimated_hours done_ratio description).freeze

P %w (assigned_to_id category_id fixed_version_id parent_issue_id
+ start_date due_date estimated_hours done_ratio description priority_id) .freeze
CORE_FIELDS_ALL = (CORE_FIELDS_UNDISABLABLE + CORE_FIELDS) .freeze

before_destroy :check_integrity

#7 - 2023-04-14 09:48 - Go MAEDA
Go MAEDA wrote in #note-6:

‘priority_id' must not be added to the beginning of CORE_FIELDS, because the array subscripts correspond to the bits in Tracker#fields_bits.

Fixed in r22186.

#8 - 2023-04-15 01:36 - Go MAEDA

- Status changed from Reopened to Closed

#9 - 2023-08-29 03:16 - Go MAEDA
- Related to Feature #35796: Allow subject and priority issue attributes (i.e. tracker fields) to be disablable added

#10 - 2024-06-20 13:22 - Go MAEDA

- Related to Defect #40860: Creating a new issue fails with an internal error if no issue priorities are defined added

Files
ability-to-disable-priority_id.patch 3.49 KB 2023-04-06 Go MAEDA
clipboard-202304071523-ze6i8.png 101 KB 2023-04-07 Go MAEDA
